Function
positionSeqToGap
Convert from sequence space on the reference to gap space in the global alignment.
positionGapToSeq(gaps, pos)
Include Headers
seqan/store.h
Parameters

gaps | Contig gaps from fragment store. Types: AnchorGaps
pos | Position in the reference.

Remarks
See the example below to construct the gaps object. Note that this construction is fast since it is only a thin wrapper around underlying objects.
Return Values
Position in the gap space of the global alignment space.
Examples
Convert from gap space to position space on contig contigId when the contigs required to be loaded.
typedef typename TFragmentStore::TContigStore TContigStore;
typedef typename Value<TContigStore>::Type TContig;
typedef typename TFragmentStore::TContigSeq TContigSeq;
typedef Gaps<TContigSeq, AnchorGaps<typename TContig::TGapAnchors> > TContigGaps;
TContigGaps contigGaps(contigStore[contigId].seq, contigStore[contigId].gaps);
TAlignedReadPos pos = positionGapToSeq(contigGaps, 33);
Convert from gap space to position space on contig contigId when the contigs are not required.
typedef typename TFragmentStore::TContigStore TContigStore;
typedef typename Value<TContigStore>::Type TContig;
typedef Gaps<Nothing, AnchorGaps<typename TContig::TGapAnchors> > TContigGaps;
TContigGaps contigGaps(Nothing(), contigStore[contigId].gaps);
TAlignedReadPos endPos = positionGapToSeq(contigGaps, 33);
See Also
positionGapToSeq, positionSeqToGap
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58